export const Login = resolve => require(['../components/login/Login.vue'], resolve)
export const Index = resolve => require(['../components/index/Index.vue'], resolve)


export const ClientDataUpload = resolve => require(['../components/system/ClientDataUpload.vue'], resolve)
export const BankCardMaintenance = resolve => require(['../components/system/BankCardMaintenance.vue'], resolve)

export const UserManagement = resolve => require(['../components/user/UserManagement.vue'], resolve)
// service 0715
export const ByhService = resolve => require(['../components/byh/ByhService.vue'], resolve)
export const ServiceProblem = resolve => require(['../components/byh/ServiceProblem.vue'], resolve)
export const ByhServiceDetail = resolve => require(['../components/byh/ByhServiceDetail.vue'], resolve)
export const ByhApplyMoney = resolve => require(['../components/byh/ByhApplyMoney.vue'], resolve)
export const ClientManagerment = resolve => require(['../components/byh/ClientManagerment.vue'], resolve)

export const LendBankCardList = resolve => require(['../components/system/LendBankCardList.vue'], resolve)
export const DutyBizGroupsListDialog = resolve => require(['../components/system/DutyBizGroupsListDialog.vue'], resolve)
export const CustomerDistribution = resolve => require(['../components/system/CustomerDistribution.vue'], resolve)
export const DistributionBatchDialog = resolve => require(['../components/system/DistributionBatchDialog.vue'], resolve)

export const ByhPlanRemindList = resolve => require(['../components/byh/ByhPlanRemindList.vue'], resolve)
export const ByhLoanBackedList = resolve => require(['../components/byh/ByhLoanBackedList.vue'], resolve)
export const ByhPlanRemindDetails = resolve => require(['../components/byh/ByhPlanRemindDetails.vue'], resolve)
export const ByhPlanRemindDetailNew = resolve => require(['../components/byh/ByhPlanRemindDetailNew.vue'], resolve)
export const ByhLoanBackedDetails = resolve => require(['../components/byh/ByhLoanBackedDetails.vue'], resolve)
// 临时放款
export const ByhLoanSnapList = resolve => require(['../components/byh/ByhLoanSnapList.vue'], resolve)
export const Controlswitch = resolve => require(['../components/byh/Controlswitch.vue'], resolve)
export const DerateCreate = resolve => require(['../components/byh/DerateCreate.vue'], resolve)
export const CreateLrdDerate = resolve => require(['../components/byh/CreateLrdDerate.vue'], resolve)
//创建退款单
export const CreateRefund = resolve => require(['../components/byh/CreateRefund.vue'], resolve)

export default {
  Login,// 登录
  Index,// 首页
  // Default,
  ByhService,// 客户列表
  ByhServiceDetail,// 客户详情
  ServiceProblem, // 反馈记录
  ClientDataUpload,
  BankCardMaintenance,
  UserManagement,
  LendBankCardList,
  DutyBizGroupsListDialog,
  CustomerDistribution,
  DistributionBatchDialog,
  ByhPlanRemindList,
  ByhLoanBackedList,
  ByhPlanRemindDetails,
  ByhPlanRemindDetailNew,
  ByhLoanBackedDetails,
  // 通讯录列表
  ByhApplyMoney,
  //客户管理
  ClientManagerment,
  Controlswitch,
  DerateCreate,
  CreateLrdDerate,
  // 创建退款单
  CreateRefund
}
